package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 问答状态
 */
public enum QuestionStatusEnum implements IBaseEnum {
    NOT_FINISHED(0,"未完成", SysConstains.STYLE_DEFAULT),
    Finished(1,"已完成", SysConstains.STYLE_DEFAULT),
    ;
    private int value;
    private String desc;
    private String style;

    QuestionStatusEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    @Override
    public String getStyle() {
        return this.style;
    }

    public static QuestionStatusEnum getByValue(int value) {
        for (QuestionStatusEnum e : QuestionStatusEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (QuestionStatusEnum item : QuestionStatusEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}